> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/recipe/parsed-ingredient-lines.md).

# Parsed Ingredient Lines

The `parsedIngredientLines`field returns a structured version of the recipe's ingredient lines.

{% hint style="info" %}
When possible, we suggest using the [ingredientLines](https://docs.suggestic.com/graphql/objects/recipe/recipe-object) field.
{% endhint %}

### Arguments

<table data-header-hidden><thead><tr><th>Argument</th><th width="203">Type</th><th>Optional</th><th>Description</th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Optional</td><td>Description</td></tr><tr><td><code>preferredUnitSystem</code></td><td>UnitSystem</td><td>True</td><td>The preferred unit system, options: METRIC, IMPERIAL</td></tr></tbody></table>

### List of Fields

| Field            | Type   | Description                                |
| ---------------- | ------ | ------------------------------------------ |
| `ingredientLine` | String | The ingredient Line Input                  |
| `ingredient`     | String | Parsed ingredient                          |
| `quantity`       | String | Quantity value                             |
| `unit`           | String | Unit name                                  |
| `other`          | String | Other string found on the ingredient line  |
| `comment`        | String | Other comment found on the ingredient line |

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  recipe(id: "UmVjaXBlOjhjMTFlZTdlLTNkZjMtNDc5Yy1hOTQzLTE2YWY1MmE0NmZkZQ==") {
    id
    name
    parsedIngredientLines(preferredUnitSystem: METRIC) {
      ingredientLine
      ingredient
      quantity
      unit
      other
      comment
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "recipe": {
      "id": "UmVjaXBlOjhjMTFlZTdlLTNkZjMtNDc5Yy1hOTQzLTE2YWY1MmE0NmZkZQ==",
      "name": "Roasted Pears And Quinces With Tangerine Zest",
      "parsedIngredientLines": [
        {
          "ingredientLine": "10 small pears, preferably forelle, peeled, halved, and seeded",
          "ingredient": "pears",
          "quantity": "10",
          "unit": null,
          "other": ",",
          "comment": "small"
        },
        {
          "ingredientLine": "5 quinces, peeled, halved, seeded, and cut into 8 to 10 wedges",
          "ingredient": "quinces",
          "quantity": "5",
          "unit": null,
          "other": ",",
          "comment": "peeled"
        },
        {
          "ingredientLine": "1 lemon, halved",
          "ingredient": "lemon",
          "quantity": "1",
          "unit": null,
          "other": ",",
          "comment": "halved"
        },
        {
          "ingredientLine": "2 ounces (4 tablespoons) unsalted butter",
          "ingredient": "butter",
          "quantity": "56.699",
          "unit": "ounces",
          "other": "(",
          "comment": "4 tablespoons"
        },
        {
          "ingredientLine": "1 cup sugar",
          "ingredient": "sugar",
          "quantity": "1",
          "unit": "cup",
          "other": null,
          "comment": null
        },
        {
          "ingredientLine": "6 tangerines, zest cut into strips, and juiced (about 1 cup)",
          "ingredient": "tangerines",
          "quantity": "6",
          "unit": null,
          "other": ",",
          "comment": "zest cut into slices"
        },
        {
          "ingredientLine": "2 vanilla beans, split and scraped, pods reserved",
          "ingredient": "vanilla beans",
          "quantity": "2",
          "unit": null,
          "other": ",",
          "comment": "split and scraped"
        },
        {
          "ingredientLine": "2 cups dry white wine",
          "ingredient": "white wine",
          "quantity": "2",
          "unit": "cups",
          "other": null,
          "comment": "dry"
        },
        {
          "ingredientLine": "Vanilla-Bean Creme Anglaise (optional)",
          "ingredient": "Vanilla-Bean Creme Anglaise",
          "quantity": null,
          "unit": null,
          "other": "(",
          "comment": "optional )"
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/recipe/parsed-ingredient-lines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
